Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class RemoteCommitProviderValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.ObjectValue
              org.apache.openjpa.lib.conf.PluginValue
                  org.apache.openjpa.conf.RemoteCommitProviderValue

All Implemented Interfaces:
  Cloneable

    public class RemoteCommitProviderValue

extends PluginValue

Value type used to represent a `RemoteCommitProvider`. This plugin allows users to specify whether to transmit the ids of added objects in the remote commit events distributed.

Author:
  Abe White

Field Summary

Fields inherited from class org.apache.openjpa.lib.conf.Value
`INVISIBLE`

Constructor Summary
`RemoteCommitProviderValue()`

Method Summary
`void` | `configureEventManager(RemoteCommitEventManager mgr)` Configure the remote event manager.
`RemoteCommitProvider` | `getProvider()` The cached provider.
`boolean` | `getTransmitPersistedObjectIds()` Whether to transmit persisted object ids in remote commit events.
`Object` | `instantiate(Class type, Configuration conf, boolean fatal)` Override to keep decorators out of transport configuration.
`RemoteCommitProvider` | `instantiateProvider(Configuration conf)` Instantiate the provider.
`RemoteCommitProvider` | `instantiateProvider(Configuration conf, boolean fatal)` Instantiate the provider.
`void` | `setProperties(String props)` The plugin properties.
`void` | `setProvider(RemoteCommitProvider provider)` The cached provider.
`void` | `setString(String str)` Set this value from the given string.
`void` | `setTransmitPersistedObjectIds(boolean transmit)` The cached decorators.

Methods inherited from class org.apache.openjpa.lib.conf.PluginValue
`configure, getClassName, getInternalString, getProperties, getString, getValueType, isSingleton, objectChanged, set, setClassName, setInternalString`

Methods inherited from class org.apache.openjpa.lib.conf.ObjectValue
`configure, get, instantiate, newInstance, set, setInternalObject`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`addEquivalentKey, addListener, alias, alias, assertChangeable, clone, equals, getAliases, getDefault, getEquivalentKeys, getInstantiatingGetter, getListeners, getLoadKey, getOriginalValue, getProperty, getPropertyKeys, getScope, hashCode, hide, isAliasListComprehensive, isDynamic, isHidden, isPrivate, makePrivate, matches, removeListener, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setDynamic, setInstantiatingGetter, setLoadKey, setObject, setProperty, setScope, toString, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteCommitProviderValue

    public RemoteCommitProviderValue()

Method Detail

### setProperties

    public void setProperties(String props)

  Description copied from class: `PluginValue`
  The plugin properties.

  Overrides:
    `setProperties` in class `PluginValue`

### setString

    public void setString(String str)

  Description copied from class: `Value`
  Set this value from the given string. If the given string is null or empty and a default is defined, the default is used. If the given string(or default) is an alias key, it will be converted to the corresponding value internally.
  If this Value is being set to a non-default value for the first time (as designated by `originalString` being null), then the value is remembered as original. This original value is used for equality and hashCode computation if this Value is `dynamic`.

  Overrides:
    `setString` in class `PluginValue`

### getProvider

    public RemoteCommitProvider getProvider()

  The cached provider.

### setProvider

    public void setProvider(RemoteCommitProvider provider)

  The cached provider.

### getTransmitPersistedObjectIds

    public boolean getTransmitPersistedObjectIds()

  Whether to transmit persisted object ids in remote commit events.

### setTransmitPersistedObjectIds

    public void setTransmitPersistedObjectIds(boolean transmit)

  The cached decorators.

### instantiateProvider

    public RemoteCommitProvider instantiateProvider(Configuration conf)

  Instantiate the provider.

### instantiateProvider

    public RemoteCommitProvider instantiateProvider(Configuration conf,
                                                    boolean fatal)

  Instantiate the provider.

### configureEventManager

    public void configureEventManager(RemoteCommitEventManager mgr)

  Configure the remote event manager.

### instantiate

    public Object instantiate(Class type,
                              Configuration conf,
                              boolean fatal)

  Override to keep decorators out of transport configuration.

  Overrides:
    `instantiate` in class `PluginValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.